
Redmine - Defect #5707

When updating ticket, redmine loses the list of attached files

2010-06-18 01:21 - James Hiebert

Status: Closed Start date: 2010-06-18

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 0.9.4

Description

When a user updates a ticket, but fails to select a piece of required info (e.g. "activity"), Redmine loses the list of files attached to a

ticket along with all of the form data.

steps to reproduce:

1. create a ticket.

2. add some stuff under log time w/o selecting an activity.

3. add a file.

4. submit.

result:

The ticket loses all of its attached files.

Installation info:

www-apps/redmine-0.9.4

dev-ruby/sqlite3-ruby-1.2.4

About your application's environment

Ruby version              1.8.7 (i686-linux)

RubyGems version          1.3.5

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          /var/lib/redmine

Database adapter          sqlite3

Database schema version   0

History

#1 - 2011-03-07 16:31 - Etienne Massip

- Category set to Attachments

- Affected version (unused) set to 0.9.4

- Affected version set to 0.9.4

#2 - 2014-07-06 08:12 - Go MAEDA

Redmine 2.5.1 keeps attachments even after validation error. This issue can be closed.

#3 - 2014-07-06 14:01 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Indeed.

Powered by TCPDF (www.tcpdf.org)

2025-05-07 1/1

http://www.tcpdf.org

